#
# spec file for package shutter
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 8/2011 - now by open-slx GmbH <Sascha.Manns@open-slx.de>
# Copyright (c) 12/2010 - 7/2011 by Sascha Manns <saigkill@opensuse.org>  
# Copyright (c) 7/2010 - 12/2010 by Ray Chen <swyear@gmail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           shutter
Version:        0.93.1
Release:        5.1
Summary:        Featureful screenshot tool
License:        GPL-3.0+
Group:          Productivity/Graphics/Other
Url:            http://shutter-project.org/
Source0:        http://shutter-project.org/wp-content/uploads/releases/tars/%{name}-%{version}.tar.gz
# PATCH-FEATURE-UPSTREAM https://bugs.launchpad.net/shutter/+bug/1624795
Source1:        shutter.appdata.xml
# PATCH-FIX-OPENSUSE Remove Unity only actions
Patch0:         desktop-shortcut-fix.diff
# PATCH-FIX-OPENSUSE make Dropbox support optional
Patch2:         remove-provide-dropbox.diff
# PATCH-FIX-UPSTREAM https://bugs.launchpad.net/shutter/+bug/1469840
Patch3:         shutter-0.93.1-fix-send-email.patch
# PATCH-FIX-DEBIAN https://bugs.launchpad.net/shutter/+bug/1652600
Patch4:         https://anonscm.debian.org/cgit/collab-maint/shutter.git/plain/debian/patches/CVE-2016-10081.patch
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}
Requires:       ImageMagick
Requires:       hicolor-icon-theme
Requires:       procps
Requires:       xdg-utils
Requires:       perl(File::BaseDir)
Requires:       perl(File::Copy::Recursive)
Requires:       perl(File::Which)
Requires:       perl(Glib)
Requires:       perl(Gnome2)
Requires:       perl(Gnome2::Canvas)
Requires:       perl(Gnome2::VFS)
Requires:       perl(Gnome2::Wnck)
Requires:       perl(Gtk2)
Requires:       perl(Gtk2::AppIndicator)
Requires:       perl(Gtk2::ImageView)
Requires:       perl(Gtk2::Unique)
Requires:       perl(Image::Magick)
Requires:       perl(JSON)
Requires:       perl(JSON::XS)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Locale::gettext)
Requires:       perl(Net::DBus)
Requires:       perl(Path::Class)
Requires:       perl(Proc::ProcessTable)
Requires:       perl(Proc::Simple)
Requires:       perl(Sort::Naturally)
Requires:       perl(WWW::Mechanize)
Requires:       perl(X11::Protocol)
Requires:       perl(XML::Simple)
Recommends:     gnome-web-photo
Recommends:     nautilus-sendto
Recommends:     perl(Goo::Canvas)
Recommends:     perl(Image::ExifTool)
# For UbuntuOne support
Recommends:     perl(Net::DBus-GLib)
# For Dropbox support
Recommends:     perl(Net::Dropbox-API)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%lang_package

%description
Shutter is a GTK+ 2.0 screenshot application written in perl.
Shutter covers all features of common command line tools like
scrot or import and adds reasonable new features combined
with a comfortable GUI using the GTK+ 2.0 framework

%prep
%setup -q
%patch0
%patch2
%patch3 -p 2
%patch4 -p1

%build

%install
# Creating the Folder for Binary and Data. Copy the Bin into Bindir
install -d -m 0755 -p %{buildroot}%{_bindir}
install -m 755 bin/%{name} %{buildroot}%{_bindir}

# Create Datadir Folder
install -d -m 755 %{buildroot}%{_datadir}/
cp -pfr share/* %{buildroot}%{_datadir}/

%suse_update_desktop_file -r %{name} Utility DesktopUtility

%find_lang %{name} --all-name

rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop~

mkdir -p %{buildroot}%{_datadir}/appdata/
cp -a %{S:1} %{buildroot}%{_datadir}/appdata/

%fdupes %{buildroot}%{_datadir}/

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/doc/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}.1%{ext_man}
%dir %{_datadir}/appdata/
%{_datadir}/appdata/shutter.appdata.xml

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sun Jan  8 2017 mailaender@opensuse.org
- add CVE-2016-10081.patch to fix CVE-2016-10081 and close bnc#1017571
* Sun Sep 18 2016 mailaender@opensuse.org
- add an appdata.xml file for https://software.opensuse.org/appstore
* Sun Sep  4 2016 mailaender@opensuse.org
- add shutter-0.93.1-fix-send-email.patch to fix lp#1469840
- require perl(Gtk2::AppIndicator) to fix rh#1228973
* Sat Jul 16 2016 mailaender@opensuse.org
  * spec file cleanup
  * moved contents of README.openSUSE to https://en.opensuse.org/Shutter
  * fix license
* Fri Jan 23 2015 sfalken@opensuse.org
- Update to version 0.93.1:
  + updated Dropbox.pm and XFIXES.pm
  + fixed deprecated code
  + updated translations
- Changes from 0.92
  + Dropbox plugin doesn't work since it uses an old version of
    the API (lp#1163251)
  + Error Dropbox Authentication and upload (lp#1250536)
  + vgy.me sypport (lp#1298878)
  + Dropbox upload plugin uses Public folder and does not create
    proper share link (lp#1349512)
  + Updated Translations
- Changes from 0.91
  + Launching a second instance causes a crash (lp#731874)
  + Segmentation Fault when trying to edit an image (lp#1034768)
  + Crashes after clicking "edit" while using certain icon
    themes (lp#1285287)
  + Shutter: ImageBanana no longer active... (lp#1334869)
  + Remove UbuntuOne (lp#1351015)
  + Updated translations
- Changes from 0.90.1
  + Add new icon (lp#1243649)
  + immio has been closed (lp#1308485)
  + Session tab no longer shows thumbnails after fresh install
    Kubuntu 14.04 (lp#1314893)
  + Updated translations
- Dropped:
  + shutter-0.90.1.tar.bz2
- Updated desktop-shortcut-fix.diff to clean up some rpmlint
  warnings
* Sat Nov  8 2014 Led <ledest@gmail.com>
- fix bashisms in post/postun scripts
* Sat Aug 31 2013 Sascha Manns <saigkill@opensuse.org>
- updated to 0.90.1
  * Fixed bugs / minor improvements
  - - LP: #1092522
    [Shutter doesn't recognize the command-line option "-d"]
  - - LP: #1191521
    [--delay=0 doesn't work from command-line]
  - - LP: #1216619
    [Drawing Tool: encoding problems when using chinese fonts]
  * updated translations
* Sat Jul 20 2013 coolo@suse.com
- fix perl requires
* Mon Jul 15 2013 coolo@suse.com
- don't hardcode perl package names (modules move into perl from time
  to time)
* Tue Jan  1 2013 swyear@gmail.com
- Update to 0.90
- version 0.90 removes Gnome2::GConf dependency
  * Fixed bugs / minor improvements
  - - LP: #1035259
    [No way to activate the main window when using the appindicator]
  - - LP: #1081917
    [Quicklist no more working]
  - - LP: #1083033
    [Needs a high contrast app icon]
  - - LP: #1083586
    [Remove keybinding code]
  - - LP: #1083588
    [Remove Simple Selection Tool]
  - - LP: #1087367
    [File extension .png]
  - - LP: #1092054
    [desktop-file-validate complains again]
  * updated translations
- Drop fsf-address-fix.diff, fixed upstream
* Sat Aug  4 2012 Sascha.Manns@open-slx.de
- updated to 0.89
  * Fixed bugs / minor improvements
  - - LP: #664292
    [Feature Request: Please make use of appindicators]
  - - LP: #1012235
    [Advanced Selection Capture entries do not work]
  - - LP: #1018791
    [Change fsf-address]
  * updated translations
* Thu Jun 28 2012 swyear@gmail.com
- fix Provides: perl(Dropbox)
- re-add perl-Net-Dropbox-API as recommends
* Thu Jun 28 2012 swyear@gmail.com
- remove perl-Net-Dropbox-API dependency
* Thu Jun 28 2012 swyear@gmail.com
- remove script of fix script-without-shebang
  will cause ERROR: upload-plugin exists but is not executable - /usr/share/shutter/resources/system/upload_plugins/upload/Dropbox.pm...
* Thu Jun 28 2012 swyear@gmail.com
- add section in README.openSUSE about relative packages not in oss repository
- fix script-without-shebang
* Thu Jun 28 2012 swyear@gmail.com
- perl-Net-Dropbox-API is not provided by oss, move to recommends
* Thu Jun 28 2012 swyear@gmail.com
- add perl-Net-DBus-GLib for SUSE user's UbuntuOne support ^^
* Wed Jun 27 2012 swyear@gmail.com
- fix incorrect fsf address issue
* Wed Jun 27 2012 swyear@gmail.com
- fix depensicies by adding perl-Gnome2-* package
* Wed Jun 27 2012 swyear@gmail.com
- try to minimize depensicies
- try fix files-duplicate warning
* Tue Jun 26 2012 swyear@gmail.com
- remove nautilus-sendto as recommends, nautilus-sendto will install too
  many gnome-related packages
- add gtk-update-icon-cache to post scriptlet
* Tue Jun 26 2012 swyear@gmail.com
- update to 0.88.3
- Shutter 0.88.3 adds minor features, fixes a few bugs and updates translations.
* Wed Mar 14 2012 Sascha.Manns@open-slx.de
- Made nautilus-sendto as recommends instead of required.
* Sat Mar  3 2012 Sascha.Manns@open-slx.de
- fixed bnc#722266
* Sat Mar  3 2012 Sascha.Manns@open-slx.de
- updated to 0.88.2
- This release adds minor features, fixes some annoying bugs, and
  updates translations.
* Fri Mar  2 2012 Sascha.Manns@open-slx.de
- added /usr/share/doc/shutter to %%%%dir
* Tue Feb 14 2012 Sascha.Manns@open-slx.de
- add shutter-bnc746606-fix-script-without-shebang.patch
* Tue Feb 14 2012 Sascha.Manns@open-slx.de
- fixed bnc#746606
- made *.pm available with executive rights
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Mon Dec 12 2011 Sascha.Manns@open-slx.de
- removed Extra Install of sel_window_tooltip.svg (OBS should find the
  right one in the sources)
- Added *.desktop File. The original is optimized for Ubuntu
* Tue Dec  6 2011 Sascha.Manns@open-slx.de
- changed datapath to %%%%{__datadir}/%%{name}
* Tue Dec  6 2011 Sascha.Manns@open-slx.de
- Extra install of sel_window_tooltip.svg
* Tue Dec  6 2011 Sascha.Manns@open-slx.de
- testenviroment before committing to Factory
* Sun Dec  4 2011 Sascha.Manns@open-slx.de
  shutter (0.88.1)
  * Fixed bugs / minor improvements
  - - LP: #894416
    [Some upload plugins fail with unicode characters in filename]
  - - LP: #894577
    [Minus service doesn't work]
  * updated translations
  - - Mario Kemper <mario.kemper@googlemail.com>  Thu, 01 Dec 2011
  22:01:50 +0100
  shutter (0.88)
  * New Features
  - - Refactored the uploading code (added support for plugins)
  - - Added new upload plugins
  - - Public links are now saved when a screenshot was uploaded
  - - New command line option: specify filename
  * New Upload Plugins
  - - Dropbox
  - - ImageBanana
  - - ImageShack
  - - Imgur
  - - ImmIO
  - - ITmages
  - - Minus
  - - Omploader
  - - ToileLibre
  - - TwitPic
  - - UbuntuPics
  * Fixed bugs / minor improvements
  - - LP: #342622
    [Remember upload links]
  - - LP: #841328
    [black corners if window is selected from the window list]
  - - LP: #888441
    [dialog not clickable when renaming a file]
  - - LP: #889031
    [Package should'nt provide own perl libraries]
  - - LP: #892703
    [After unlinking from Dropbox there is no way to relink it
  again]
  - - LP: #650701
    [retrieve Public URL if screenshot is already uploaded]
  - - LP: #675911
    [Url not selected when i do single click]
  - - LP: #793462
    [Short URL in imageshack.us]
  - - LP: #870556
    [specify file name on command line]
  - - LP: #374024
    [http://omploader.org/ as new image hoster]
  - - LP: #486490
    [Feature Request: Upload to imgur]
  - - LP: #489598
    [Wish: Add Twitpic support]
  - - LP: #598818
    [feature request: extensible imagehost/upload tools]
  - - LP: #602209
    [Add integration with Dropbox]
  - - LP: #619748
    [Add ubuntuusers.de thumbnail code to any of the hosting
  plugins]
  - - LP: #651029
    [Feature Request: Upload to ITmages]
  - - LP: #703299
    [Add upload to http://pix.toile-libre.org/]
  - - LP: #785032
    [min.us uploading support]
  - - LP: #793463
    [More image services to upload]
  * improved support for Gnome-Shell
  * several smaller bugfixes
  * updated translations
  - - Mario Kemper <mario.kemper@googlemail.com>  Mon, 21 Nov 2011
  15:54:45 +0100
* Thu Aug 25 2011 coolo@novell.com
- do not provide random perl modules
* Thu Aug 25 2011 Sascha.Manns@open-slx.de
- updated to version 0.87.3, mostly bugfixes - see
  http://shutter-project.org/2011/07/shutter-0-87-3-released/
* Wed Aug 24 2011 Sascha.Manns@open-slx.de
- deleted useless lang-package
- removed shutter-desktop.patch. Use suse macro instead
* Thu Mar 24 2011 saigkill@opensuse.org
- partly rewritten the spec. Now it installs all dirs under share into
  %%%%{_datadir}/shutter. But the doc folder are excluded for using in
  our %%%%{_docdir}
- Fixed error by starting the program "sel_tooltip_window.svg" not
  found
* Wed Mar 16 2011 saigkill@opensuse.org
- removed perl-Proc-ProcessTable after the Developer said that it isnt
  needed anymore.
* Wed Mar 16 2011 saigkill@opensuse.org
- partly rewritten the spec for using %%%%{_docdir} and direct copy the
  share folder into %%%%{_datadir}
* Wed Mar 16 2011 saigkill@opensuse.org
- fixed Bug bnc#680055
* Sat Mar 12 2011 saigkill@opensuse.org
- updated to version 0.87.1
- This release does not add any new features but fixes some annoying
  bugs.
* Thu Feb 10 2011 saigkill@opensuse.org
- updated to version 0.87
* Sun Dec 26 2010 saigkill@opensuse.org
- prettyfied spec file
* Mon Dec 20 2010 pth@suse.de
- Clean up the specfile
- Handle documentation and message catalogs differently.
- Fix typo in .changes.
* Sun Dec 19 2010 saigkill@opensuse.org
- Added README.openSUSE with Instructions on how to integrate
  shutter into KDE4.
* Sun Dec 19 2010 saigkill@opensuse.org
- updated to 0.86.4
- branched for contrib
* Mon Jul  5 2010 swyear@linux-fx2f
- first build in OBS
